Bug 1372733 - please rebuild meld for epel7: Requires: pycairo is missing
Summary: please rebuild meld for epel7: Requires: pycairo is missing
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: meld
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-02 13:56 UTC by marcindulak
Modified: 2016-11-07 20:19 UTC (History)
3 users (show)

Fixed In Version: meld-3.16.3-2.el7.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-07 20:19:33 UTC


Attachments (Terms of Use)

Description marcindulak 2016-09-02 13:56:41 UTC
Description of problem:

$ meld 

** (meld:2120): WARNING **: Couldn't connect to accessibility bus: Failed to connect to socket /tmp/dbus-rlab9antva: Connection refused
Gtk-Message: Failed to load module "canberra-gtk-module"
Gtk-Message: Failed to load module "canberra-gtk-module"
GLib-GIO-Message: Using the 'memory' GSettings backend.  Your settings will not be saved or shared with other applications.
Traceback (most recent call last):
  File "/usr/bin/meld", line 203, in <module>
    import meld.meldapp
  File "/usr/lib/python2.7/site-packages/meld/meldapp.py", line 31, in <module>
    import meld.ui.util
  File "/usr/lib/python2.7/site-packages/meld/ui/util.py", line 23, in <module>
    from meld.ui import gladesupport
  File "/usr/lib/python2.7/site-packages/meld/ui/gladesupport.py", line 2, in <module>
    from meld import diffmap
  File "/usr/lib/python2.7/site-packages/meld/diffmap.py", line 19, in <module>
    import cairo
ImportError: No module named cairo



Version-Release number of selected component (if applicable):

$ sudo su - -c "yum -y remove pycairo meld"
$ sudo su - -c "yum -y install meld"
$ meld 
$ rpm -q meld
meld-3.11.0-1.el7.2.noarch


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Thorsten Leemhuis 2016-10-09 14:33:51 UTC
Could you give this package a try please: 
https://kojipkgs.fedoraproject.org//work/tasks/5669/16015669/meld-3.16.3-2.el7.src.rpm

Comment 2 Fedora Update System 2016-10-23 00:19:58 UTC
meld-3.16.3-2.el7.1 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-c3428883ac

Comment 3 Fedora Update System 2016-11-07 20:19:33 UTC
meld-3.16.3-2.el7.1 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.